%define	name	pam_usb
%define	version	0.4.2
%define	rel	2
%define	release	%mkrel %{rel}

Summary:	PAM module through external storage
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.pamusb.org/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/pamusb/%{name}-%{version}.tar.gz
Source1:	%{name}-doc.tar.bz2
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	dbus-devel libxml2-devel hal-devel
BuildRequires:	pam-devel 
BuildRequires:  openssl-devel 
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel

%description
pam_usb is a PAM module that enables authentication using an USB-Storage device
(such as an USB Pen) through DSA private/public keys.

It can also work with other devices, such as floppy disks or cdroms.

%prep
%setup -q -a1

%build
%make CFLAGS="%optflags -fPIC `pkg-config --cflags dbus-1 hal libxml-2.0`"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std \
  PAM_USB_DEST=$RPM_BUILD_ROOT/%{_lib}/security \
  DOCS_DEST=$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

cp -a html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%defattr(-,root,root)
/%{_lib}/security/%{name}.so
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_sysconfdir}/pamusb.conf


%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4.2-2mdv2010.0
+ Revision: 430235
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4.2-1mdv2009.0
+ Revision: 136638
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Funda Wang <fundawang@mandriva.org> 0.4.2-1mdv2008.1
+ Revision: 102050
- New version 0.4.2

* Mon Jul 09 2007 Funda Wang <fundawang@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 50609
- New version

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 0.4.0-1mdv2008.0
+ Revision: 17511
- fix module installation path on x86_64
- buildrequire dbus-devel libxml2-devel hal-devel
- 0.4.0
- Import pam_usb




* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.3-2mdk
- Fix BuildRequires

* Sun Oct 23 2005 Erwan Velu <erwan@seanodes.com> 0.3.3-1mdk
- 0.3.3

* Thu Aug 11 2005 Olivier Blin <oblin@mandriva.com> 0.3.2-5mdk
- use udev rule to replace deprecated hotplug.d script

* Tue Jun 28 2005 Pascal Terjan <pterjan@mandriva.org> 0.3.2-4mdk
- BuildRequires ncurses-devel

* Thu May 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3.2-3mdk
- compile with -fPIC (fixes build on x86_64)
- %%mkrel

* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-2mdk
- rebuild for new readline
- don't use $RPM_BUILD_DIR and use %%doc in stead
- drop useless prefix
- cosmetics

* Mon Jan 17 2005 Erwan Velu <erwan@seanodes.com> 0.3.2-1mdk
- 0.3.2
- Fixing wrong config(noreplace) tags

* Tue Aug 03 2004 Erwan Velu <erwan@mandrakesoft.com> 0.3.1-2mdk
- Adding documentation

* Tue Aug 03 2004 Erwan Velu <erwan@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Tue May 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2.2-2mdk
- fixed doc permissions

* Tue May 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2.2-1mdk
- removed patch0 (kernel 2.6 is supported upstream now)
- fixed URL
- rpmbuildupdate compatible

* Fri Jan 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2-0.rc2.1mdk
- initial packaging
